Package be.e_contract.ejsf.component.output.ol

# Class OpenLayersRenderer

java.lang.Object
javax.faces.render.Renderer
org.primefaces.renderkit.CoreRenderer
be.e_contract.ejsf.component.output.ol.OpenLayersRenderer

public class OpenLayersRenderer extends org.primefaces.renderkit.CoreRenderer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`RENDERER_TYPE`

### Fields inherited from class javax.faces.render.Renderer

`PASSTHROUGH_RENDERER_LOCALNAME_KEY`

## Constructor Summary

Constructors
Constructor
Description
`OpenLayersRenderer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

### Methods inherited from class org.primefaces.renderkit.CoreRenderer

`buildAjaxRequest, buildAjaxRequest, buildAjaxRequest, buildDomEvent, buildNonAjaxRequest, buildNonAjaxRequest, decodeBehaviors, encodeClientBehaviors, encodeIndexedId, endsWithLenghtUnit, getEventBehaviors, getHighlighter, getIconOnlyButtonText, getResourceRequestPath, getResourceURL, getStyleBuilder, getStyleClassBuilder, getWidgetBuilder, isGrouped, isValueBlank, logDevelopmentWarning, preConfiguredAjaxRequestBuilder, preConfiguredAjaxRequestBuilder, renderAttribute, renderButtonValue, renderChild, renderChildren, renderDomEvent, renderDomEvents, renderDummyMarkup, renderDynamicPassThruAttributes, renderHiddenInput, renderOnchange, renderOnclick, renderPassThruAttributes, renderPassThruAttributes, renderPassThruAttributes, renderValidationMetadata, shouldRenderAttribute, shouldWriteId`

### Methods inherited from class javax.faces.render.Renderer

`convertClientId, decode, encodeChildren, encodeEnd, getConvertedValue, getRendersChildren`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RENDERER_TYPE

public static final String RENDERER_TYPE

See Also:
  - Constant Field Values

## Constructor Details

### OpenLayersRenderer

public OpenLayersRenderer()

## Method Details

### encodeBegin

public void encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component) throws IOException

Overrides:
  `encodeBegin` in class `javax.faces.render.Renderer`
Throws:
  `IOException`